Open Run App

Open a saved MCP App with freshly read HTML and its original tool result.

POST/api/v1/runs/{run_id}/apps/{app_id}/open

Open a saved MCP App with freshly read HTML and its original tool result.

Authorization

AuthorizationBearer <token>

A workspace API key (a13n_...)

In: header

Path Parameters

run_id*Run Id
app_id*App Id

Header Parameters

X-Workspace-ID?|

The workspace ID a login session acts in; required with a login session. An API key acts in its own workspace and needs none; naming another is forbidden.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/runs/string/apps/string/open"
{  "arguments": {    "property1": null,    "property2": null  },  "reference": {    "agent_revision_id": "string",    "app_id": "string",    "connection_id": "string",    "resource_uri": "string",    "source_run_id": "string",    "tool_call_id": "string",    "tool_name": "string",    "unavailable": false  },  "resource": {    "html": "string",    "metadata": {      "property1": null,      "property2": null    },    "mime_type": "string",    "uri": "string"  },  "result": {    "property1": null,    "property2": null  },  "tool": {    "property1": null,    "property2": null  }}